Page Menu
Home
DevCentral
Search
Configure Global Search
Log In
Files
F3775963
D1935.id4891.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
826 B
Referenced Files
None
Subscribers
None
D1935.id4891.diff
View Options
diff --git a/roles/devserver/userland-home/files/dereckson/bin/deploy-container b/roles/devserver/userland-home/files/dereckson/bin/deploy-container
new file mode 100755
--- /dev/null
+++ b/roles/devserver/userland-home/files/dereckson/bin/deploy-container
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+if [ $# -eq 0 ]; then
+ echo "Usage: deploy-container <container name>"
+ exit 1
+fi
+
+SALT_OPS_REPO=/opt/salt/nasqueron-operations
+SALT="salt-wrapper salt"
+PAAS_DOCKER_SERVER="equatower"
+CONTAINER=$1
+
+CONTAINER_SLS="$SALT_OPS_REPO/roles/paas-docker/containers/$CONTAINER.sls"
+
+if [ ! -f "$CONTAINER_SLS" ]; then
+ echo "No state found for container $CONTAINER: $CONTAINER_SLS"
+ exit 2
+fi
+
+cd /opt/salt/nasqueron-operations || exit 4
+$SALT $PAAS_DOCKER_SERVER state.sls "roles/paas-docker/containers/$CONTAINER"
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Mon, Nov 25, 20:34 (21 h, 13 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2263032
Default Alt Text
D1935.id4891.diff (826 B)
Attached To
Mode
D1935: Provide deploy-container helper script
Attached
Detach File
Event Timeline
Log In to Comment